implement MN-MN replication manager in CN stack

2011-02-28 20:24 - Rob Nahf

Status: Closed Start date: 2011-01-03

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Story Points:    

Description

Subtasks:

Task # 1401: Update System Metadata during replication Closed

Task # 1182: Implement setReplicationStatus() in CN service Closed

Task # 1183: Implement mechanism in CN that will execute a replication operation on a MN Closed

Task # 1712: Add MNReplication.getReplica() method Closed

  Task # 1724: Add MNReplication.getReplica(token, pid) to API-documents Closed

Task # 1717: Add CNReplication.isReplicationAuthorized() to the API Closed

  Task # 1723: Add CNReplication.isReplicationAuthorized() to API-documents Closed

Task # 1718: Create Hazelcast replication configuration that uses TCP vs multicast Closed

Task # 1719: Update the 09 Use Case replication sequence diagram and text Closed

Task # 1720: Implement the Hazelcast Map[Store|Loader] interface for the replication ta... Closed

Task # 1774: Move isReplicationAuthorized() to isNodeAuthorized() to the CNReplication API Closed

Task # 1775: Change setReplicationStatus signature to include targetNode Closed

Task # 1776: Strengthen ReplicationService.entry*() methods to create ReplicationTasks ... Closed

Task # 1778: Implement setReplicationPolicy() in CN service Closed

History

#1 - 2011-02-28 20:24 - Rob Nahf

- Start date set to 2011-02-28

- Tracker changed from Bug to Story

#2 - 2011-03-16 17:45 - Robert Waltz

- Target version set to Sprint-2011.11-Block.2

- Position set to 8

- Position deleted (30)

#3 - 2011-03-16 17:50 - Robert Waltz

- Position deleted (8)

- Position set to 15

- Target version deleted (Sprint-2011.11-Block.2)

#4 - 2011-04-25 15:56 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2011.20-Block.3

- Position deleted (42)

#5 - 2011-05-16 18:04 - Dave Vieglais
- Position set to 187

- Position deleted (16)

#6 - 2011-05-23 17:48 - Robert Waltz

- Position deleted (190)

- Target version deleted (Sprint-2011.20-Block.3)

- Position set to 146

#7 - 2011-05-23 17:50 - Robert Waltz

- Category set to d1_cn_service

#8 - 2011-05-23 17:51 - Robert Waltz

- Assignee set to Robert Waltz

#9 - 2011-06-27 01:23 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2011.28-Block.4

- Position deleted (162)

#10 - 2011-08-16 16:19 - Matthew Jones

- Target version changed from Sprint-2011.28-Block.4 to Sprint-2011.33-Block.4

- Position deleted (8)

- Position set to 1

#11 - 2011-08-16 17:15 - Robert Waltz

- Assignee changed from Robert Waltz to Chris Jones

- Milestone set to CCI-0.7.0

#12 - 2011-08-16 17:16 - Robert Waltz

- Category changed from d1_cn_service to d1_replication

#13 - 2011-08-17 16:05 - Chris Jones

- Status changed from New to In Progress

Created a "replication design document":http://mule1.dataone.org/ArchitectureDocs-current/design/Replication.html based on the "09 Use Case":

http://mule1.dataone.org/ArchitectureDocs-current/design/UseCases/09_uc.html .  This is a draft proposal on implementing a distributed replication

task queue.

#14 - 2011-08-30 01:39 - Dave Vieglais

- Target version deleted (Sprint-2011.33-Block.4)

- Position set to 1

- Position deleted (25)

#15 - 2011-08-30 01:48 - Dave Vieglais

- Position set to 8

- Position deleted (12)

#16 - 2011-08-30 16:59 - Chris Jones

- Target version set to Sprint-2011.35-Block.5
- Position set to 78

- Position deleted (47)

#17 - 2011-09-06 17:56 - Dave Vieglais

- Position deleted (88)

- Target version changed from Sprint-2011.35-Block.5 to Sprint-2011.36-Block.5

- Position set to 2

#18 - 2011-09-14 11:19 - Dave Vieglais

- Position deleted (1)

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

- Position set to 24

#19 - 2011-10-07 18:25 - Dave Vieglais

- Position deleted (26)

- Position set to 20

- Target version changed from Sprint-2011.37-Block.5 to Sprint-2011.41-Block.5

#20 - 2011-10-10 16:38 - Chris Jones

- Status changed from In Progress to Closed

All tasks are complete, and testing will be described in another story.
